Videos APIEndpoints

List files

GET
/v1/files

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your VTurb API token (vt_...). Sent as Authorization: Bearer <token>.

In: header

Query Parameters

cursor?string

Opaque cursor from the previous page's Link header; omit for the first page.

folder_id?string

Only return files in this folder.

per_page?integer

Page size, 1–100 (default 25).

q?string

Case-insensitive search on the file name.

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/v1/files?cursor=0190a0b0-0000-7000-8000-000000000001&folder_id=fold_1&per_page=20&q=hero"
{  "files": [    {      "id": "0190a0b0-0000-7000-8000-000000000001",      "name": "hero.jpg",      "filename": "hero.jpg",      "status": "active",      "content_type": "image/jpeg",      "size": 184856,      "folder_id": null,      "url": "https://static.vturb.com/org_123/2026/08/12/0190a0b0-0000-7000-8000-000000000001/original.jpg",      "metadata": {        "width": 640,        "height": 360      },      "created_at": "2026-08-12T00:00:00.000Z",      "updated_at": "2026-08-12T00:00:00.000Z"    },    {      "id": "0190a0b0-0000-7000-8000-0000000000cc",      "name": "cc.vtt",      "filename": "cc.vtt",      "status": "active",      "content_type": "text/vtt",      "size": 1024,      "folder_id": null,      "url": "https://static.vturb.com/org_123/2026/08/12/cc/original.vtt",      "created_at": "2026-08-12T00:00:00.000Z",      "updated_at": "2026-08-12T00:00:00.000Z"    }  ]}